public:
  // Overrides the base class version of restore
  virtual void restore();

  // Overrides the base class version of render()
  virtual void render();

  // Overrides the base class version of scale()
  virtual void scale(FXint w,FXint h);

  // Overrides the base class version of mirror()
  virtual void mirror(FXbool horizontal,FXbool vertical);

  // Overrides the base class version of rotate()
  virtual void rotate(FXint degrees);

  // Overrides the base class version of crop()
  virtual void crop(FXint x,FXint y,FXint w,FXint h);

  // Overrides the base class version of savePixels()
  virtual void savePixels(FXStream& store) const;

  // Overrides the base class version of loadPixels()
  virtual void loadPixels(FXStream& store);
